import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var d = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (c, r, l, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, l) : r, s = c.length - 1, i; s >= 0; s--)
    (i = c[s]) && (e = (t ? i(r, l, e) : i(e)) || e);
  return t && e && d(r, l, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--orderFilled", this.class = "c-pieIcon c-pieIcon--orderFilled", this.name = "IconOrderFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--orderFilled"><path d="M12.375 2.094h-8.75a1.54 1.54 0 0 0-1.531 1.531v10.64l3.193-1.444a.202.202 0 0 1 .176 0L8 13.967l2.537-1.146a.202.202 0 0 1 .175 0l3.194 1.444V3.625a1.54 1.54 0 0 0-1.531-1.531Zm-1.75 4.812h-5.25V5.594h5.25v1.312ZM9.75 9.531h-3.5V8.22h3.5V9.53Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-order-filled")
], o);
export {
  o as IconOrderFilled
};
